# Uses of Interface
org.eclipse.jface.fieldassist.IContentProposalListener2

Packages that use IContentProposalListener2
Package
Description
org.eclipse.jface.fieldassist
Provides classes that help communicate proper content for fields in dialogs and wizards.

## Uses of IContentProposalListener2 in org.eclipse.jface.fieldassist

Methods in org.eclipse.jface.fieldassist with parameters of type IContentProposalListener2
Modifier and Type
Method
Description
`void`
ContentProposalAdapter.`addContentProposalListener(IContentProposalListener2 listener)`
Add the specified listener to the list of content proposal listeners that are notified when a content proposal popup is opened or closed.
`void`
ContentProposalAdapter.`removeContentProposalListener(IContentProposalListener2 listener)`
Remove the specified listener from the list of content proposal listeners that are notified when a content proposal popup is opened or closed.